summaryrefslogtreecommitdiff
path: root/source4/script/installswat.sh
diff options
context:
space:
mode:
authorDerrell Lipman <derrell@samba.org>2006-10-06 15:50:26 +0000
committerGerald (Jerry) Carter <jerry@samba.org>2007-10-10 14:20:42 -0500
commit250399c9230ea972f6bf374fb9951b6cb35320f2 (patch)
tree153429c2707deb90857c1ad258b96449ddd67af2 /source4/script/installswat.sh
parent10c06a1968dbf39d8a3790077a3537b8323f36ff (diff)
downloadsamba-250399c9230ea972f6bf374fb9951b6cb35320f2.tar.gz
samba-250399c9230ea972f6bf374fb9951b6cb35320f2.tar.bz2
samba-250399c9230ea972f6bf374fb9951b6cb35320f2.zip
r19142: ensure no race conditions during installation by having same name in source and swat directory; install new apps and services
(This used to be commit a2b996317f81aa61d7d5bf427003399560e64f77)
Diffstat (limited to 'source4/script/installswat.sh')
-rw-r--r--source4/script/installswat.sh12
1 files changed, 12 insertions, 0 deletions
diff --git a/source4/script/installswat.sh b/source4/script/installswat.sh
index 4304e3e490..72dfc2f456 100644
--- a/source4/script/installswat.sh
+++ b/source4/script/installswat.sh
@@ -19,6 +19,7 @@ installdir() {
done
}
+installdir `find . -name '*.html'`
installdir `find . -name '*.js'`
installdir `find . -name '*.esp'`
installdir `find . -name '*.css'`
@@ -33,5 +34,16 @@ The swat files have been installed.
======================================================================
EOF
+cd $SRCDIR/.. || exit 1
+
+installdir `find services -name '*.esp'`
+
+cat << EOF
+======================================================================
+The JSON-RPC services have been installed.
+======================================================================
+EOF
+
+
exit 0